<div class="bg-gradient-primary" style="height: 100vh">

  <div class="container">
    <div class="row justify-content-center">
      <div class="col-xl-10 col-lg-12 col-md-9">

        <div class="card o-hidden border-0 shadow-lg my-5">
          <div class="card-body p-0">
            <!-- Nested Row within Card Body -->
            <div class="row">
              <div class="col-lg-5 d-none d-lg-block bg-register-image"></div>
              <div class="col-lg-7">
                <div class="p-5">
                  <div class="text-center">
                    <h1 class="h4 text-gray-900 mb-4">Create an Account!</h1>
                  </div>
                  <form class="user" [formGroup]="registerForm" (ngSubmit)="onSubmit()">
                    <div class="form-group row">
                      <div class="col-sm-12 mb-3 mb-sm-0">
                        <input formControlName="name" type="text" class="form-control form-control-user" id="inputName"
                               placeholder="Name" aria-describedby="nameHelp"
                               [ngClass]="{'is-invalid':registerForm.get('name').invalid && registerForm.get('name').touched}">
                        <small id="nameHelp" class="ml-3 form-text text-muted">Your name is shown to other team members.</small>
                      </div>
                    </div>
                    <div class="form-group">
                      <input formControlName="email" type="email" class="form-control form-control-user" id="inputEmail"
                             placeholder="Email Address" aria-describedby="emailHelp"
                             [ngClass]="{'is-invalid':registerForm.get('email').invalid && registerForm.get('email').touched}">
                      <small id="emailHelp" class="ml-3 form-text text-muted">We'll never share your email with anyone else.</small>
                    </div>
                    <div class="form-group row">
                      <div class="col-sm-6 mb-3 mb-sm-0">
                        <input formControlName="password" type="password" class="form-control form-control-user"
                               id="inputPassword"
                               placeholder="Password"
                               [ngClass]="{'is-invalid':registerForm.get('password').invalid && registerForm.get('password').touched}">
                      </div>
                      <div class="col-sm-6">
                        <input formControlName="passwordRepeat" type="password" class="form-control form-control-user"
                               id="inputRepeatPassword"
                               placeholder="Repeat Password"
                               [ngClass]="{'is-invalid':registerForm.get('passwordRepeat').invalid && registerForm.get('passwordRepeat').touched}">
                      </div>
                    </div>
                    <div class="mx-3 mb-3 text-danger" *ngIf="registerForm.getError('notSamePassword') && registerForm.get('password').touched && registerForm.get('passwordRepeat').touched">
                      Passwords do not match!
                    </div>
                    <div class="mx-3 mb-3 text-danger" *ngIf="registerForm.getError('error')">
                      Error: {{ registerForm.getError('error') }}
                    </div>
                    <button type="submit" class="btn btn-primary btn-user btn-block" [disabled]="registerForm.invalid">
                      Register Account
                    </button>
                  </form>
                  <hr>
                  <div class="text-center">
                    <a class="small" routerLink="/auth/lost-password">Forgot Password?</a>
                  </div>
                  <div class="text-center">
                    <a class="small" routerLink="/auth/login">Already have an account? Login!</a>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
